---
title: Element.prefix
slug: Web/API/Element/prefix
tags:
  - API
  - DOM
  - NeedsBrowserCompatibility
  - NeedsMobileBrowserCompatibility
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>Element.prefix</strong></code> read-only property returns the namespace prefix of the specified element, or <code>null</code> if no prefix is specified.</p>

<div class="note">
<p>Before DOM4 this API was defined within the {{domxref("Node")}} interface.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>string</var> = <var>element</var>.prefix
</pre>

<h2 id="Examples">Examples</h2>

<p>The following logs "x" to the console.</p>

<pre class="brush:xml">&lt;x:div onclick="console.log(this.prefix)"/&gt;
</pre>

<h2 id="Notes">Notes</h2>

<p>This will only work when a namespace-aware parser is used, i.e. when a document is served with an XML MIME type. This will not work for HTML documents.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-element-prefix', 'Element: prefix')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.prefix")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Element.namespaceURI")}}</li>
 <li>{{domxref("Element.localName")}}</li>
 <li>{{domxref("Attr.prefix")}}</li>
 <li>{{domxref("Node.prefix")}}</li>
</ul>
